using System;
using InABox.Mobile;
using UIKit;

[assembly: Xamarin.Forms.Dependency(typeof(InABox.Mobile.iOS.DeviceID_iOS))]
namespace InABox.Mobile.iOS
{

    public class DeviceID_iOS : IDeviceID
    {
        public String DeviceID()
        {
            return UIDevice.CurrentDevice.IdentifierForVendor.ToString().GetHashCode().ToString("X");
            //return Guid.Parse(CrossDeviceInfo.Current.Id).GetHashCode().ToString("X");
        }
    }
}
